포켓별 API Key 목록 조회

메인포켓의 API Key 권한을 사용하여 생성된 포켓별 API Key 목록과 정보를 조회하는 API입니다.

포켓별 API Key 조회 흐름

조회하고자하는 포켓 UUID는 포켓 정보 조회 API를 통해 확인할 수 있습니다.

flowchart LR
    A[포켓 정보 조회<br/>GET /v1/pockets]
    A --> B[포켓 UUID 확인]

    B --> C[포켓별 API Key 목록 조회<br/>GET /v1/pockets/api_keys]

    C --> D[포켓 정보]

    D --> E[UUID]
    D --> F[API Key 목록]

    F --> G[key #1]
    F --> H[key #2]
    F --> I[...]

    G --> J["access_key
permissions
allowed_ips
created_at
expired_at"]
Rate Limit
초당 최대 30회 호출할 수 있습니다. 포켓 단위로 측정되며 [Exchange 기본 그룹] 내에서 요청 가능 횟수를 공유합니다. Rate Limit은 요청 처리량을 보장하는 기준이 아니며, 트래픽 상황이나 서비스 안정성 확보 필요에 따라 제한 또는 조정될 수 있습니다.

API Key Permission
인증이 필요한 API로, 메인포켓만 사용 가능합니다.
메인포켓 키발급 페이지에서 [포켓관리] 권한이 설정된 API Key를 사용해야 합니다.
권한 오류(out_of_scope) 오류가 발생한다면, API Key 관리 메뉴에서 권한 설정을 확인해주세요.

Query Params
uuids[]
array of strings

조회하고자 하는 포켓 UUID 배열

예시: uuids[]=uuid1&uuids[]=uuid2

uuids[]
boolean
Defaults to false

만료된 API Key를 조회 결과에 포함할지 여부

Responses

Language
LoadingLoading…
Response
Choose an example:
application/json
※ This English version is a translation of the original Korean version of the Upbit Developer Center, generated using a third-party tool. In the event of any discrepancies, the Korean version shall take precedence.